Bug 247278 - [exp-run] Update devel/glib20 to 2.66.0
Summary: [exp-run] Update devel/glib20 to 2.66.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Port Management Team
URL: https://reviews.freebsd.org/D25279
Keywords:
: 207243 (view as bug list)
Depends on:
Blocks: 249337 249450
  Show dependency treegraph
 
Reported: 2020-06-15 12:55 UTC by Baptiste Daroussin
Modified: 2020-09-24 00:57 UTC (History)
8 users (show)

See Also:
bapt: exp-run?


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Baptiste Daroussin freebsd_committer 2020-06-15 12:55:02 UTC
Please exp-run newer version of the glib
Comment 1 Antoine Brodin freebsd_committer 2020-06-29 11:44:47 UTC
The patch fails to apply, please refresh
Comment 2 Gleb Popov freebsd_committer 2020-07-28 19:33:19 UTC
I've updated the Differential revision, it should apply fine now.
Comment 4 Gleb Popov freebsd_committer 2020-08-03 09:03:10 UTC
I thought we don't support 11.3 anymore?
Comment 5 daniel.engberg.lists 2020-08-03 10:19:49 UTC
https://www.freebsd.org/security/ says Sept 30 2020
Comment 7 Gleb Popov freebsd_committer 2020-08-05 11:18:39 UTC
*** Bug 207243 has been marked as a duplicate of this bug. ***
Comment 8 Sunpoet Po-Chuan Hsieh freebsd_committer 2020-09-12 12:20:06 UTC
Add new maintainer (desktop@FreeBSD.org) to the CC list.
Comment 9 Antoine Brodin freebsd_committer 2020-09-16 14:55:35 UTC
Were the new failures fixed?
Comment 10 commit-hook freebsd_committer 2020-09-18 21:26:31 UTC
A commit references this bug:

Author: bapt
Date: Fri Sep 18 21:26:26 UTC 2020
New revision: 548914
URL: https://svnweb.freebsd.org/changeset/ports/548914

Log:
  Remove Werror from the default CFLAGS as it uses deprecated Glib API
  it breaks the ports with newer glib

  PR:		247278

Changes:
  head/deskutils/gxneur/files/patch-configure
Comment 11 commit-hook freebsd_committer 2020-09-18 21:29:33 UTC
A commit references this bug:

Author: bapt
Date: Fri Sep 18 21:28:51 UTC 2020
New revision: 548915
URL: https://svnweb.freebsd.org/changeset/ports/548915

Log:
  Unbreak with newer glib by removing Werror, this port uses deprecated glib API

  PR:		247278

Changes:
  head/graphics/frogr/files/
  head/graphics/frogr/files/patch-meson.build
Comment 12 commit-hook freebsd_committer 2020-09-18 21:39:36 UTC
A commit references this bug:

Author: bapt
Date: Fri Sep 18 21:38:48 UTC 2020
New revision: 548919
URL: https://svnweb.freebsd.org/changeset/ports/548919

Log:
  Add patches to build without deprecated glib functions

  PR:		247278

Changes:
  head/x11-wm/wmakerconf/files/patch-src_misc.c
  head/x11-wm/wmakerconf/files/patch-src_previews.c
  head/x11-wm/wmakerconf/files/patch-src_themebrowser.c
  head/x11-wm/wmakerconf/files/patch-src_window.c
Comment 13 Baptiste Daroussin freebsd_committer 2020-09-18 21:44:01 UTC
All should be fixed but guitarx-lv2 and openjfx8-devel which I plan to mark as broken

I do plan to remove all of the -reference port as they don't work with the new meson world.

If you agree with that we could proceed with the update!
Comment 17 Baptiste Daroussin freebsd_committer 2020-09-23 06:59:43 UTC
beside dino which I will look into those are the expected one. I plan to mark them as broken. IMHO glib is blocking too many ports upgrade right now to stop it any longer.
Comment 18 commit-hook freebsd_committer 2020-09-23 14:53:37 UTC
A commit references this bug:

Author: bapt
Date: Wed Sep 23 14:53:15 UTC 2020
New revision: 549736
URL: https://svnweb.freebsd.org/changeset/ports/549736

Log:
  Update to glib 2.66.0

  Mark the few remaining ports not building against this upgrade as broken

  Instead of risking of missing anyone who got involed, I will just thank
  all of them they will recognize themselves! This was a joint work of many

  PR:		247278
  Reviewed by:	fluffy
  exp-run		antoine
  Differential Revision:	https://reviews.freebsd.org/D25279

Changes:
  head/audio/ardour6/Makefile
  head/audio/guitarix-lv2/Makefile
  head/audio/guitarix-lv2/distinfo
  head/java/openjfx8-devel/Makefile
  head/net-im/dino/Makefile
  head/x11-themes/plata-theme/Makefile
Comment 19 commit-hook freebsd_committer 2020-09-24 00:57:17 UTC
A commit references this bug:

Author: jbeich
Date: Thu Sep 24 00:57:07 UTC 2020
New revision: 549871
URL: https://svnweb.freebsd.org/changeset/ports/549871

Log:
  Drop glib < 2.60 workaround after r549741

  PR:		247278

Changes:
  head/accessibility/feedbackd/Makefile
  head/accessibility/feedbackd/files/
  head/x11/phosh/Makefile
  head/x11/phosh/files/patch-glib-2.56
  head/x11/wofi/Makefile
  head/x11/wofi/files/
  head/x11-toolkits/gtk30/Makefile
  head/x11-toolkits/gtk30/files/patch-glib-2.56